Skip to main content
POST
/
v1
/
endpoint
/
stats
Get endpoint statistics
curl --request POST \
  --url https://api.wirespeed.co/v1/endpoint/stats \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startDate": "<string>",
  "endDate": "<string>",
  "showUnmanagedEndpoints": true,
  "onlyContained": true,
  "onlyLive": true,
  "operatingSystemCategories": [],
  "dedupeCanonicalRoots": true,
  "onlyCanonicalClustersWithDuplicates": true
}
'
{
  "totalCount": 123,
  "liveCount": 123,
  "containedCount": 123,
  "uncontainedCount": 123,
  "operatingSystems": [
    {
      "count": 123
    }
  ],
  "integrations": [
    {
      "integrationId": "<string>",
      "platform": "<string>",
      "count": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
startDate
string

Start date (inclusive, ISO8601 string)

endDate
string

End date (inclusive, ISO8601 string)

showUnmanagedEndpoints
boolean

Include unmanaged endpoints in statistics

onlyContained
boolean

Only include contained endpoints

onlyLive
boolean

Only include live/online endpoints

operatingSystemCategories
enum<string>[]

Filter by OS categories (supports multiple)

Available options:
Windows,
Windows Server,
macOS,
Linux,
iOS,
Android,
ChromeOS,
Network Device,
Other
dedupeCanonicalRoots
boolean

When true and asset deduplication is enabled for the team, stats count only canonical representative rows (canonical_id IS NULL)

onlyCanonicalClustersWithDuplicates
boolean

When true together with dedupeCanonicalRoots and asset deduplication, stats include only canonical roots that have at least one merged duplicate from another source

Response

200 - application/json

Endpoint statistics for the current team

totalCount
number
required

Total number of endpoints

liveCount
number
required

Number of live/online endpoints

containedCount
number
required

Number of contained endpoints

uncontainedCount
number
required

Number of uncontained endpoints

operatingSystems
object[]
required

Endpoint counts grouped by OS category

integrations
object[]
required

Endpoint counts grouped by integration source